Bug 178089 - [patch] update games/lwjgl to 2.9.0
Summary: [patch] update games/lwjgl to 2.9.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pawel Pekala
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-23 19:50 UTC by r4721@tormail.org
Modified: 2013-05-25 12:00 UTC (History)
0 users

See Also:


Attachments
file.diff (7.25 KB, patch)
2013-04-23 19:50 UTC, r4721@tormail.org
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description r4721@tormail.org 2013-04-23 19:50:00 UTC
updates games/lwjgl to latest version. vendor has added initial support for
freebsd, so not using the linux build file any more.

removed files:
D       games/lwjgl/files/patch-platform_build__linux_ant__build.xml

added files:
A       games/lwjgl/files/patch-platform_build__bsd_ant__build.xml

Fix: Patch attached with submission follows:
Comment 1 Pawel Pekala freebsd_committer 2013-05-24 22:17:37 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pawel

I'll take it.
Comment 2 dfilter service freebsd_committer 2013-05-25 11:52:11 UTC
Author: pawel
Date: Sat May 25 10:51:57 2013
New Revision: 319043
URL: http://svnweb.freebsd.org/changeset/ports/319043

Log:
  Update to version 2.9.0
  
  PR:		ports/178089
  Submitted by:	r4721@tormail.org

Added:
  head/games/lwjgl/files/patch-platform_build__bsd_ant__build.xml   (contents, props changed)
Deleted:
  head/games/lwjgl/files/patch-platform_build__linux_ant__build.xml
Modified:
  head/games/lwjgl/Makefile   (contents, props changed)
  head/games/lwjgl/distinfo   (contents, props changed)
  head/games/lwjgl/files/patch-build.xml   (contents, props changed)

Modified: head/games/lwjgl/Makefile
==============================================================================
--- head/games/lwjgl/Makefile	Sat May 25 10:02:45 2013	(r319042)
+++ head/games/lwjgl/Makefile	Sat May 25 10:51:57 2013	(r319043)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	lwjgl
-DISTVERSION=	2.8.5
+DISTVERSION=	2.9.0
 CATEGORIES=	games java
 MASTER_SITES=	SF/java-game-lib/Official%20Releases/${PORTNAME:U}%20${PORTVERSION}/
 DISTFILES=	${DISTNAME}${EXTRACT_SUFX} \
@@ -55,7 +55,7 @@ PLIST_FILES+=	lib/${PORTNAME}${PORTVERSI
 post-patch:
 	@${REINPLACE_CMD} -e 's,PREFIX,${PREFIX},g' \
 		-e '/executable/s/gcc/${CC}/g' \
-		${WRKSRC}/platform_build/linux_ant/build.xml
+		${WRKSRC}/platform_build/bsd_ant/build.xml
 
 do-install:
 	@${ECHO_MSG} -n ">> Install JAR files in ${JAVAJARDIR}/${PORTNAME}/ ..."
@@ -66,10 +66,10 @@ do-install:
 	@${ECHO_MSG} " [ DONE ]"
 	@${MKDIR} ${PREFIX}/lib/${PORTNAME}${PORTVERSION}
 .if ${ARCH} == i386
-	@${INSTALL_DATA} ${WRKSRC}/libs/linux/lib${PORTNAME}.so ${PREFIX}/lib/${PORTNAME}${PORTVERSION}
+	@${INSTALL_DATA} ${WRKSRC}/libs/freebsd/lib${PORTNAME}.so ${PREFIX}/lib/${PORTNAME}${PORTVERSION}
 .endif
 .if ${ARCH} == amd64
-	@${INSTALL_DATA} ${WRKSRC}/libs/linux/lib${PORTNAME}64.so ${PREFIX}/lib/${PORTNAME}${PORTVERSION}
+	@${INSTALL_DATA} ${WRKSRC}/libs/freebsd/lib${PORTNAME}64.so ${PREFIX}/lib/${PORTNAME}${PORTVERSION}
 .endif
 
 .include <bsd.port.post.mk>

Modified: head/games/lwjgl/distinfo
==============================================================================
--- head/games/lwjgl/distinfo	Sat May 25 10:02:45 2013	(r319042)
+++ head/games/lwjgl/distinfo	Sat May 25 10:51:57 2013	(r319043)
@@ -1,4 +1,4 @@
-SHA256 (lwjgl-2.8.5.zip) = 680e4c9f84ca89fad844820019a9134c4643a00a44e3d6a02defb3d38700492c
-SIZE (lwjgl-2.8.5.zip) = 5550071
-SHA256 (lwjgl-source-2.8.5.zip) = b52f8885fb5a2cb9cd2528a9492164fccdf63031fbafb2ac96fd0f271fcbb130
-SIZE (lwjgl-source-2.8.5.zip) = 2969449
+SHA256 (lwjgl-2.9.0.zip) = b7baed854d8798048d5a96cff3b58bb050c9bf105c151ff5be461677cd5d7b7f
+SIZE (lwjgl-2.9.0.zip) = 5786081
+SHA256 (lwjgl-source-2.9.0.zip) = 8c7d978ee1c3c5d4a3f8fc8f9774cc9f1b3a371f95ed48bebd4bde8f7fe648ca
+SIZE (lwjgl-source-2.9.0.zip) = 2975604

Modified: head/games/lwjgl/files/patch-build.xml
==============================================================================
--- head/games/lwjgl/files/patch-build.xml	Sat May 25 10:02:45 2013	(r319042)
+++ head/games/lwjgl/files/patch-build.xml	Sat May 25 10:51:57 2013	(r319043)
@@ -8,23 +8,3 @@
  
  	<!-- ================================================================== -->
  	<!-- Everything below this line is targets.								-->
-@@ -463,7 +462,10 @@
- 		<antcall target="-compile_native_win32" />
- 
- 		<condition property="lwjgl.platform.linux">
--			<os name="Linux" />
-+			<or>
-+				<os name="Linux" />
-+				<os name="FreeBSD" />
-+			</or>
- 		</condition>
- 		<antcall target="-compile_native_linux" />
- 
-@@ -604,6 +606,7 @@
- 		<condition property="native_path" value="libs/linux">
- 			<or>
- 				<os name="Linux" />
-+				<os name="FreeBSD" />
- 				<os name="SunOS" />
- 			</or>
- 		</condition>

Added: head/games/lwjgl/files/patch-platform_build__bsd_ant__build.xml
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/lwjgl/files/patch-platform_build__bsd_ant__build.xml	Sat May 25 10:51:57 2013	(r319043)
@@ -0,0 +1,13 @@
+--- platform_build/bsd_ant/build.xml.orig
++++ platform_build/bsd_ant/build.xml
+@@ -4,8 +4,8 @@
+ 	<property name="native" location="../../src/native"/>
+ 	<property name="libname32" value="liblwjgl.so"/>
+ 	<property name="libname64" value="liblwjgl64.so"/>
+-    <property name="libs32" value="-L/usr/X11R6/lib -L/usr/X11/lib -L/usr/local/lib -lm -lX11 -lXext -lXcursor -lXrandr -pthread -L${java.home}/lib/i386 -ljawt" />
+-    <property name="libs64" value="-L/usr/X11R6/lib64 -L/usr/X11/lib64 -L/usr/local/lib -lm -lX11 -lXext -lXcursor -lXrandr -lXxf86vm -pthread -L${java.home}/lib/amd64 -ljawt" />
++    <property name="libs32" value="-LPREFIX/lib -lm -lX11 -lXext -lXcursor -lXrandr -pthread -L${java.home}/lib/i386 -ljawt" />
++    <property name="libs64" value="-LPREFIX/lib -lm -lX11 -lXext -lXcursor -lXrandr -lXxf86vm -pthread -L${java.home}/lib/amd64 -ljawt" />
+     <property name="cflags32" value="-O2 -Wall -c -fPIC -std=c99 -Wunused"/>
+ 
+ 	<target name="clean">
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Pawel Pekala freebsd_committer 2013-05-25 11:52:25 UTC
State Changed
From-To: open->closed

Committed. Thanks!